package com.autotech.we1l.my_classes

import android.os.Parcel
import java.io.Serializable

abstract class BaseItem : Serializable {
    var id: Int? = null
        private set
    var name: String? = null

    constructor() {}
    constructor(id: Int?, name: String?) {
        this.id = id
        this.name = name
    }

    constructor(id: Int) {
        this.id = id
        name = ""
    }

    constructor(name: String?) {
        id = -1
        this.name = name
    }

    constructor(`in`: Parcel) {
        id = `in`.readInt()
        name = `in`.readString()
    }

}